# Upload resource to a draft request

Endpoint: POST /request/{id}/upload
Version: 2.0.0
Security: ApiKeyAuth

## Path parameters:

  - `id` (string, required)

## Request fields (multipart/form-data):

  - `file` (string)

  - `resourceDescription` (object)

  - `resourceDescription.filename` (string)

  - `resourceDescription.mimeType` (string)

  - `resourceDescription.name` (string)

  - `resourceDescription.type` (string)
    Values may be added overtime.
List of values: 
  - 'BIOMETRY_VIDEO'
  - 'BIOMETRY_IMAGE'
  - 'DOCUMENT_VIDEO'
  - 'DOCUMENT_IMAGE'
  - 'CONTRACT_DOCUMENT'
  - 'DOCUMENT'
  - 'IDENTITY_DOCUMENT'
  - 'SIGN_AUDIT_LOG'
  - 'IDP_ASSERTION'
  - 'AUDIT_TRAIL'
  - 'TIN_DOCUMENT'

  - `resourceDescription.subType` (string)
    Values may be added overtime.
List of values:
- 'BEST_SELFIE'
- 'PROCESSED_FRONT_SIDE'
- 'PROCESSED_BACK_SIDE'
- 'SELFIE'
- 'FRONT_SIDE'
- 'BACK_SIDE'
- 'ID_PHOTO'
- 'MRZ'
- 'PROOF_RAW'
- 'PROOF_RENDERED'
- 'DOCUMENT_FILLED'
- 'DOCUMENT_FLATTENED'
- 'APPLICATION_FORM'
- 'POLITICALLY_EXPOSED_PERSON_VERIFICATION'
- 'ANTI_TERRORISM_VERIFICATION'
- 'PROVIDER_AUDIT_DATA'

  - `resourceDescription.family` (string)
    Values may be added overtime.
List of values: 
- 'IDENTIFICATION_ASSET'
- 'SIGNED_DOCUMENT'
- 'ATTACHMENT'
- 'PROOF'
- 'DOCUMENT_TO_SIGN'

  - `resourceDescription.urlValidBefore` (string)

  - `resourceDescription.metadata` (object)

  - `resourceDescription.sha256` (string)

## Response 200 fields (application/json):

  - `etag` (string)

  - `version` (string)

  - `resourceUri` (string)

## Response 400 fields (application/problem+json):

  - `errors` (array)
    An array of error details to accompany a problem details response.

  - `errors.detail` (string, required)
    A human-readable explanation specific to this occurrence of the problem.

  - `errors.pointer` (string)
    A JSON Pointer to a specific request body property that is the source of error.

  - `errors.field` (string)
    The name of the field that is the source of error.

  - `errors.reason` (string)
    A machine oriented error type. Eg. additionalProperties, required

  - `type` (string)
    A URI reference that identifies the problem type.

  - `status` (integer, required)
    The HTTP status code generated by the origin server for this occurrence of the problem.

  - `title` (string)
    A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `instance` (string)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `retryable` (boolean)
    If the api call can be retried


